import { useEffect } from "react";
import { useNavigate } from "react-router";


export default function Logout() {
    const navigate = useNavigate();

    useEffect(() => {
        localStorage.removeItem("token");
        localStorage.removeItem("user");
        localStorage.removeItem("videosWatched");
        localStorage.removeItem("videosCount");
        navigate("/login", { replace: true }); /* Replace é para evitar que o usuário possa voltar para a página de logout */
    }, [navigate]);

    return null;
}